org.jbpm.executor.impl.jpa

## Class ExecutorJPAAuditService

- java.lang.Object
- - org.jbpm.process.audit.JPAAuditLogService
  - - org.jbpm.services.task.audit.service.TaskJPAAuditService
    - - org.jbpm.executor.impl.jpa.ExecutorJPAAuditService

- All Implemented Interfaces:
    AuditLogService, org.kie.api.runtime.manager.audit.AuditService

      public class ExecutorJPAAuditService
      extends TaskJPAAuditService

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.JPAAuditLogService

      `criteriaFieldClasses, criteriaFields, NODE_INSTANCE_LOG_DELETE, NODE_INSTANCE_LOG_QUERY, persistenceStrategy, PROCESS_INSTANCE_LOG_DELETE, PROCESS_INSTANCE_LOG_QUERY, VARIABLE_INSTANCE_LOG_DELETE, VARIABLE_INSTANCE_LOG_QUERY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorJPAAuditService(javax.persistence.EntityManagerFactory emf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoLogDeleteBuilder` | `errorInfoLogDeleteBuilder()`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `requestInfoLogDeleteBuilder()`

    - ### Methods inherited from class org.jbpm.services.task.audit.service.TaskJPAAuditService

      `auditTaskInstanceLogDelete, auditTaskInstanceLogQuery, clear, taskEventInstanceLogDelete`

    - ### Methods inherited from class org.jbpm.process.audit.JPAAuditLogService

      `addCriteria, addVarValCriteria, checkVarValCriteria, convertListToInterfaceList, dispose, doDelete, doDelete, doQuery, doQuery, findActiveProcessInstances, findActiveProcessInstances, findNodeInstances, findNodeInstances, findProcessInstance, findProcessInstances, findProcessInstances, findSubProcessInstances, findVariableInstances, findVariableInstances, findVariableInstancesByName, findVariableInstancesByNameAndValue, getPersistenceUnitName, nodeInstanceLogDelete, nodeInstanceLogQuery, processInstanceLogDelete, processInstanceLogQuery, queryNodeInstanceLogs, queryProcessInstanceLogs, queryVariableInstanceLogs, setPersistenceUnitName, variableInstanceLogDelete, variableInstanceLogQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorJPAAuditService

          public ExecutorJPAAuditService(javax.persistence.EntityManagerFactory emf)

  - ### Method Detail

    - #### errorInfoLogDeleteBuilder

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoLogDeleteBuilder errorInfoLogDeleteBuilder()

    - #### requestInfoLogDeleteBuilder

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder requestInfoLogDeleteBuilder()

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.